Bug 163830 - device smbios: missing documentation, no manpage
Summary: device smbios: missing documentation, no manpage
Status: Closed Overcome By Events
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-05 11:10 UTC by O. Hartmann
Modified: 2020-06-28 14:37 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2012-01-05 11:10:08 UTC
Mssing a manpage entry for kernel option 

device smbios

which is explained to be a DMI/SMBIOS entry point in amd64/NOTES. No further informations available, not known whether this option is prerequisite for any readings of the DMI by userland software.
Comment 1 Garrett Cooper 2012-01-05 17:55:48 UTC
> which is explained to be a DMI/SMBIOS entry point in amd64/NOTES. No
> further information available, not known whether this option is a
> prerequisite for any readings of the DMI by userland software.

    In short, no. Many SMBIOS applications like dmidecode poke
directly at /dev/mem .
Thanks.
-Garrett
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:20 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Gordon Bergling freebsd_committer 2019-11-27 12:50:55 UTC
A manpage for smbios(4) was submitted in PR240252

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240252
Comment 4 Gordon Bergling freebsd_committer 2020-04-10 12:41:31 UTC
This PR can be closed. A Manpage was committed to -CURRENT by r359633 and r359656.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2020-04-10 15:28:21 UTC
Per most recent comment, "a manpage was committed to -CURRENT by r359633 and r359656."
Comment 6 commit-hook freebsd_committer 2020-06-28 14:37:51 UTC
A commit references this bug:

Author: gbe
Date: Sun Jun 28 14:36:57 UTC 2020
New revision: 362724
URL: https://svnweb.freebsd.org/changeset/base/362724

Log:
  MFC r359633, r359656, r360190: Add a manpage for smbios(4).

  PR:	240252, 163830
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D23714

Changes:
_U  stable/12/
  stable/12/share/man/man4/Makefile
  stable/12/share/man/man4/smbios.4